{
	"name": "table/manager/bookkeeping/bookkeeping_voucher.json",
	"table_name": "bookkeeping_voucher",
	"table_prefix": "bkv",
	"record_type": ["voucher"],
	"default_order": [{
		"field": "voucher_number",
		"order": ">"
	}],
	"save_script": [],
	"field": [{
			"field_length": 80,
			"field_name": "bank_statement"
		},
		{
			"field_length": 20,
			"field_name": "currency_id",
			"foreign_key": [{
				"link_type": "prevent delete",
				"linked_field": "currency_id",
				"linked_record_type": "",
				"linked_table": "currency",
				"linking_record_type": ""
			}]
		},
		{
			"field_name": "target_date",
			"field_type": "date",
			"not_allowed_value": [""]
		},
		{
			"field_name": "exchange_rate"
		},
		{
			"field_name": "info"
		},
		{
			"field_name": "reference"
		},
		{
			"constraint": ["primary key", "unique"],
			"field_length": 40,
			"field_name": "voucher_id",
			"not_allowed_value": [""]
		},
		{
			"field_length": 40,
			"field_name": "voucher_number"
		},
		{
			"field_name": "voucher_state"
		},
		{
			"field_length": 20,
			"field_name": "voucher_type"
		}
	],
	"extra_field": [{
			"field_name": "json_data.entry_date",
			"field_type": "date"
		},
		{
			"field_name": "json_data.transfer_id",
			"field_type": "varchar",
			"length": 120
		},
		{
			"field_name": "json_data.customer_project",
			"field_type": "varchar",
			"length": 80
		},
		{
			"field_name": "json_data.kredit_price",
			"field_type": "double"
		},
		{
			"field_name": "json_data.project_id",
			"field_type": "varchar",
			"length": 80
		},
		{
			"field_name": "json_data.modifier_id",
			"field_type": "varchar",
			"length": 40
		},
		{
			"field_name": "json_data.year",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.transfer_state",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.firm_id",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.debet_price",
			"field_type": "double"
		},
		{
			"field_name": "json_data.month",
			"field_type": "integer"
		}
	],
	"default_field": "table/default_field.json",
	"field_change": [{
		"name": "voucher_state",
		"old_name": ["record_state"]
	}]
}